httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Howard Fear <...@pooh.pageplus.com>
Subject Re: Broken clients
Date Mon, 22 Jul 1996 00:34:29 GMT

Alexei Kosut writes:
> On Sun, 21 Jul 1996, Ben Laurie wrote:
> Out of half a dozen OSes I have access to, four of them (HP-UX 9.04,
> Solaris 2.5, BSDI 2.0, Linux 1.2.0) have the POSIX regex functions,
> and two don't (IRIX 5.3 and SunOS 4.1.1). To my mind, that's a good
> enough chunk of OSes that my vote goes for POSIX, with compatible
> functions in a source file somewhere for those OSes that don't have
> it. I mean, if the functions are already in libc, why not use them?

Because some of the system provided ones don't work.  For example,
the linux version I'm using definitedly leaks (tested and confirmed).
I'd opt for including Henry Spencer's which is well tested and
(I believe) POSIX compliant.

--
Howard Fear      email1: howard_fear@pageplus.com
                 email2: howard_fear@stortek.com
                 http://www.pageplus.com/~hsf/

Mime
View raw message